Storefront
Pages List
Retrieve a list of pages.
Authorization
oauth2 content:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: content:read
Query Parameters
title?string
Title
cursor?string
The pagination cursor value.
Header Parameters
X-29next-API-Version*"2023-02-10"
Default
"2023-02-10"Value in
- "2023-02-10"
Response Body
application/json
curl -X GET "https://example.com/pages/" \ -H "X-29next-API-Version: 2023-02-10"{ "next": "http://example.com", "previous": "http://example.com", "results": [ { "content": "string", "id": 0, "meta_description": "string", "meta_title": "string", "metadata": null, "slug": "string", "template": "string", "title": "string" } ]}